[Jessie-Kde4/Xfce4/Mate] remove systemd.

Partagez ici vos Trucs et vos Astuces.
Répondre
Avatar du membre
BelZéButh
Contributeur
Contributeur
Messages : 454
Enregistré le : 22 avr. 2016, 08:39
Localisation : Ch'timi
Status : Hors ligne

15 mai 2016, 13:45

*** Sauvegardez votre système préalablement ***

Objectif : # remove --purge systemd sur une Jessie-Kde4/Xfce4/Mate/Cinnamon fraîchement installée. :025:

Le fichier sources.list contiendra au minimum les dépôts :
  • Jessie
  • Wheezy
  • Stretch # en option
En quatre temps.
  • 1) rétrogradez les paquets suivants.
  • 2) suppression de systemd.
  • 3) épinglages des paquets rétrogradés.
  • 4) réinstallation des paquets tombés pour la gloire.
Notes : la réinstallation de cinnamon, mission impossible, à cette heure.

1)

Code : Tout sélectionner

[20:14:25] ~ # aptitude install policykit-1=0.105-3
Les paquets suivants vont être RÉINSTALLÉS à une VERSION ANTÉRIEURE :
  policykit-1
Les NOUVEAUX paquets suivants vont être installés :
  consolekit{a} libck-connector0{a}
Les paquets suivants sont RECOMMANDÉS mais ne seront pas installés :
  libpam-ck-connector
0 paquets mis à jour, 2 nouvellement installés, 1 remis à une version antérieure, 0 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 257 ko d'archives. Après dépaquetage, 649 ko seront utilisés.
Voulez-vous continuer ? [Y/n/?] y
[...]
[20:15:07] ~ #

Code : Tout sélectionner

[20:31:32] ~ # aptitude install systemd-shim sysvinit
Les NOUVEAUX paquets suivants vont être installés :
  cgmanager{a} libcgmanager0{a} libnih-dbus1{a} libnih1{a} systemd-shim sysvinit
0 paquets mis à jour, 6 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 462 ko d'archives. Après dépaquetage, 1 036 ko seront utilisés.
Voulez-vous continuer ? [Y/n/?] y
[...]
[20:32:13] ~ #

Code : Tout sélectionner

[20:43:48] ~ # aptitude install modemmanager=0.5.2.0-2
Les paquets suivants vont être RÉINSTALLÉS à une VERSION ANTÉRIEURE :
  modemmanager
Les paquets suivants seront ENLEVÉS :
  libmbim-glib4{u} libmbim-proxy{u} libqmi-glib1{u} libqmi-proxy{u}
0 paquets mis à jour, 0 nouvellement installés, 1 remis à une version antérieure, 4 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 350 ko d'archives. Après dépaquetage, 5 839 ko seront libérés.
Voulez-vous continuer ? [Y/n/?] y
[...]
[20:44:28] ~ #

Code : Tout sélectionner

[20:44:32] ~ # aptitude install plasma-widget-networkmanagement=0.9.0.3-1
Les paquets suivants vont être RÉINSTALLÉS à une VERSION ANTÉRIEURE :
  plasma-widget-networkmanagement
Les NOUVEAUX paquets suivants vont être installés :
  libsolidcontrol4abi2{a}
Les paquets suivants seront ENLEVÉS :
  libmodemmanagerqt1{u} libnetworkmanagerqt1{u} liboath0{u} libopenconnect3{u} libstoken1{u} libtomcrypt0{u} libtommath0{u} plasma-nm{u}
0 paquets mis à jour, 1 nouvellement installés, 1 remis à une version antérieure, 8 à enlever et 1 non mis à jour.
Il est nécessaire de télécharger 2 417 ko d'archives. Après dépaquetage, 885 ko seront libérés.
Voulez-vous continuer ? [Y/n/?] y
[...]
[20:47:11] ~ #

Code : Tout sélectionner

[20:49:39] ~ # aptitude install kde-plasma-desktop=5:77+deb7u1 kde-standard=5:77+deb7u1
Les paquets suivants vont être RÉINSTALLÉS à une VERSION ANTÉRIEURE :
  kde-plasma-desktop kde-standard
0 paquets mis à jour, 0 nouvellement installés, 2 remis à une version antérieure, 0 à enlever et 2 non mis à jour.
[...]
[20:50:03] ~ #
2) suppression du joufflu, systemd.

J'ai commis l'erreur de virer systemd sur un système monter, mais aucune conséquence à la suite.

Code : Tout sélectionner

[21:03:31] ~ # aptitude remove --purge systemd
Les paquets suivants seront ENLEVÉS :                   
  systemd 
0 paquets mis à jour, 0 nouvellement installés, 1 à enlever et 4 non mis à jour.
Il est nécessaire de télécharger 0 o d'archives. Après dépaquetage, 13,8 Mo seront libérés.
Les paquets suivants ont des dépendances non satisfaites :
 libpam-systemd : Dépend: systemd (= 215-17) mais il ne sera pas installé.
 systemd-sysv : Dépend: systemd (= 215-17) mais il ne sera pas installé.
                Pré-Dépend: systemd mais il ne sera pas installé.
Les actions suivantes permettront de résoudre ces dépendances :
      Supprimer les paquets suivants :
1)      brasero                                               
2)      caja                                                  
3)      cinnamon                                              
4)      cinnamon-core                                         
5)      cinnamon-desktop-environment                          
6)      gnome-bluetooth                                       
7)      gnome-control-center                                  
8)      gnome-disk-utility                                    
9)      gnome-settings-daemon                                 
10)     gnome-sushi                                           
11)     gnome-user-share                                      
12)     gvfs                                                  
13)     gvfs-backends                                         
14)     gvfs-daemons                                          
15)     gvfs-fuse                                             
16)     k3b                                                   
17)     k3b-i18n                                              
18)     libpam-systemd                                        
19)     mate-applets                                          
20)     mate-desktop-environment                              
21)     mate-desktop-environment-core                         
22)     nautilus                                              
23)     nautilus-sendto                                       
24)     nemo                                                  
25)     nemo-fileroller                                       
26)     network-manager                                       
27)     network-manager-gnome                                 
28)     plasma-widget-networkmanagement                       
29)     systemd-sysv                                          
30)     task-cinnamon-desktop                                 
31)     task-mate-desktop                                     
32)     udisks2                                               
      Installer les paquets suivants :
33)     sysvinit-core [2.88dsf-59 (stable, testing, unstable)]
Accepter cette solution ? [Y/n/q/?] n
Les actions suivantes permettront de résoudre ces dépendances :
      Supprimer les paquets suivants :
1)      brasero                                       
2)      caja                                          
3)      cinnamon                                      
4)      cinnamon-core                                 
5)      cinnamon-desktop-environment                  
6)      gnome-bluetooth                               
7)      gnome-control-center                          
8)      gnome-disk-utility                            
9)      gnome-settings-daemon                         
10)     gnome-sushi                                   
11)     gnome-user-share                              
12)     gvfs                                          
13)     gvfs-backends                                 
14)     gvfs-daemons                                  
15)     gvfs-fuse                                     
16)     k3b                                           
17)     k3b-i18n                                      
18)     libpam-systemd                                
19)     mate-applets                                  
20)     mate-desktop-environment                      
21)     mate-desktop-environment-core                 
22)     nautilus                                      
23)     nautilus-sendto                               
24)     nemo                                          
25)     nemo-fileroller                               
26)     network-manager                               
27)     network-manager-gnome                         
28)     plasma-widget-networkmanagement               
29)     systemd-sysv                                  
30)     task-cinnamon-desktop                         
31)     task-mate-desktop                             
32)     udisks2                                       
      Installer les paquets suivants :
33)     libjson0 [0.11-4 (stable, testing, unstable)] 
34)     makedev [2.3.1-93 (stable, testing, unstable)]
35)     mountall [2.54 (stable, testing, unstable)]   
36)     plymouth [0.9.0-9 (stable, testing, unstable)]
37)     upstart [1.11-5 (stable, testing, unstable)]  
Accepter cette solution ? [Y/n/q/?] n
Les actions suivantes permettront de résoudre ces dépendances :
     Conserver les paquets suivants dans leur version actuelle :
1)     systemd [215-17 (now, stable, testing, unstable)]        
Accepter cette solution ? [Y/n/q/?] n
Les actions suivantes permettront de résoudre ces dépendances :
      Supprimer les paquets suivants :
1)      brasero                                                                           
2)      caja                                                                              
3)      cinnamon                                                                          
4)      cinnamon-control-center                                                           
5)      cinnamon-core                                                                     
6)      cinnamon-desktop-environment                                                      
7)      gir1.2-nmgtk-1.0                                                                  
8)      gnome-bluetooth                                                                   
9)      gnome-control-center                                                              
10)     gnome-disk-utility                                                                
11)     gnome-settings-daemon                                                             
12)     gnome-sushi                                                                       
13)     gnome-user-share                                                                  
14)     gvfs                                                                              
15)     gvfs-backends                                                                     
16)     gvfs-daemons                                                                      
17)     gvfs-fuse                                                                         
18)     k3b                                                                               
19)     k3b-i18n                                                                          
20)     libpam-systemd                                                                    
21)     mate-applets                                                                      
22)     mate-desktop-environment                                                          
23)     mate-desktop-environment-core                                                     
24)     nautilus                                                                          
25)     nautilus-sendto                                                                   
26)     nemo                                                                              
27)     nemo-fileroller                                                                   
28)     network-manager-pptp                                                              
29)     ppp                                                                               
30)     pptp-linux                                                                        
31)     systemd-sysv                                                                      
32)     task-cinnamon-desktop                                                             
33)     task-mate-desktop                                                                 
34)     udisks2                                                                           
      Installer les paquets suivants :
35)     libgcrypt11 [1.5.0-5+deb7u3 (oldstable)]                                          
36)     libgnome-bluetooth10 [3.4.2-1 (oldstable)]                                        
37)     libgnutls26 [2.12.20-8+deb7u3 (oldstable)]                                        
38)     libtasn1-3 [2.13-2+deb7u2 (oldstable)]                                            
39)     sysvinit-core [2.88dsf-59 (stable, testing, unstable)]                            
      Réinstaller à une version antérieure les paquets suivants :
40)     libnm-gtk-common [0.9.10.0-2 (now, stable, testing) -> 0.9.4.1-5 (oldstable)]     
41)     libnm-gtk0 [0.9.10.0-2 (now, stable, testing) -> 0.9.4.1-5 (oldstable)]           
42)     network-manager [0.9.10.0-7 (now, stable, testing) -> 0.9.4.0-10 (oldstable)]     
43)     network-manager-gnome [0.9.10.0-2 (now, stable, testing) -> 0.9.4.1-5 (oldstable)]
Accepter cette solution ? [Y/n/q/?] n
Les actions suivantes permettront de résoudre ces dépendances :
      Supprimer les paquets suivants :
1)      brasero                                                                           
2)      caja                                                                              
3)      cinnamon                                                                          
4)      cinnamon-control-center                                                           
5)      cinnamon-core                                                                     
6)      cinnamon-desktop-environment                                                      
7)      gir1.2-nmgtk-1.0                                                                  
8)      gnome-bluetooth                                                                   
9)      gnome-control-center                                                              
10)     gnome-disk-utility                                                                
11)     gnome-settings-daemon                                                             
12)     gnome-sushi                                                                       
13)     gnome-user-share                                                                  
14)     gvfs                                                                              
15)     gvfs-backends                                                                     
16)     gvfs-daemons                                                                      
17)     gvfs-fuse                                                                         
18)     k3b                                                                               
19)     k3b-i18n                                                                          
20)     libpam-systemd                                                                    
21)     mate-applets                                                                      
22)     mate-desktop-environment                                                          
23)     mate-desktop-environment-core                                                     
24)     nautilus                                                                          
25)     nautilus-sendto                                                                   
26)     nemo                                                                              
27)     nemo-fileroller                                                                   
28)     network-manager-pptp                                                              
29)     ppp                                                                               
30)     pptp-linux                                                                        
31)     systemd-sysv                                                                      
32)     task-cinnamon-desktop                                                             
33)     task-mate-desktop                                                                 
34)     udisks2                                                                           
      Installer les paquets suivants :
35)     libgcrypt11 [1.5.0-5+deb7u2 (oldstable)]                                          
36)     libgnome-bluetooth10 [3.4.2-1 (oldstable)]                                        
37)     libgnutls26 [2.12.20-8+deb7u3 (oldstable)]                                        
38)     libtasn1-3 [2.13-2+deb7u2 (oldstable)]                                            
39)     sysvinit-core [2.88dsf-59 (stable, testing, unstable)]                            
      Réinstaller à une version antérieure les paquets suivants :
40)     libnm-gtk-common [0.9.10.0-2 (now, stable, testing) -> 0.9.4.1-5 (oldstable)]     
41)     libnm-gtk0 [0.9.10.0-2 (now, stable, testing) -> 0.9.4.1-5 (oldstable)]           
42)     network-manager [0.9.10.0-7 (now, stable, testing) -> 0.9.4.0-10 (oldstable)]     
43)     network-manager-gnome [0.9.10.0-2 (now, stable, testing) -> 0.9.4.1-5 (oldstable)]
Accepter cette solution ? [Y/n/q/?] n
Les actions suivantes permettront de résoudre ces dépendances :
      Supprimer les paquets suivants :
1)      brasero                                                                           
2)      caja                                                                              
3)      cinnamon                                                                          
4)      cinnamon-control-center                                                           
5)      cinnamon-core                                                                     
6)      cinnamon-desktop-environment                                                      
7)      gir1.2-nmgtk-1.0                                                                  
8)      gnome-bluetooth                                                                   
9)      gnome-control-center                                                              
10)     gnome-disk-utility                                                                
11)     gnome-settings-daemon                                                             
12)     gnome-sushi                                                                       
13)     gnome-user-share                                                                  
14)     gvfs                                                                              
15)     gvfs-backends                                                                     
16)     gvfs-daemons                                                                      
17)     gvfs-fuse                                                                         
18)     k3b                                                                               
19)     k3b-i18n                                                                          
20)     libpam-systemd                                                                    
21)     mate-applets                                                                      
22)     mate-desktop-environment                                                          
23)     mate-desktop-environment-core                                                     
24)     nautilus                                                                          
25)     nautilus-sendto                                                                   
26)     nemo                                                                              
27)     nemo-fileroller                                                                   
28)     network-manager-pptp                                                              
29)     ppp                                                                               
30)     pptp-linux                                                                        
31)     systemd-sysv                                                                      
32)     task-cinnamon-desktop                                                             
33)     task-mate-desktop                                                                 
34)     udisks2                                                                           
      Installer les paquets suivants :
35)     libgcrypt11 [1.5.0-5+deb7u3 (oldstable)]                                          
36)     libgnome-bluetooth10 [3.4.2-1 (oldstable)]                                        
37)     libgnutls26 [2.12.20-8+deb7u3 (oldstable)]                                        
38)     libtasn1-3 [2.13-2+deb7u1 (oldstable)]                                            
39)     sysvinit-core [2.88dsf-59 (stable, testing, unstable)]                            
      Réinstaller à une version antérieure les paquets suivants :
40)     libnm-gtk-common [0.9.10.0-2 (now, stable, testing) -> 0.9.4.1-5 (oldstable)]     
41)     libnm-gtk0 [0.9.10.0-2 (now, stable, testing) -> 0.9.4.1-5 (oldstable)]           
42)     network-manager [0.9.10.0-7 (now, stable, testing) -> 0.9.4.0-10 (oldstable)]     
43)     network-manager-gnome [0.9.10.0-2 (now, stable, testing) -> 0.9.4.1-5 (oldstable)]
Accepter cette solution ? [Y/n/q/?] n
Les actions suivantes permettront de résoudre ces dépendances :
      Supprimer les paquets suivants :
1)      brasero                                                                           
2)      caja                                                                              
3)      cinnamon                                                                          
4)      cinnamon-control-center                                                           
5)      cinnamon-core                                                                     
6)      cinnamon-desktop-environment                                                      
7)      gir1.2-nmgtk-1.0                                                                  
8)      gnome-bluetooth                                                                   
9)      gnome-control-center                                                              
10)     gnome-disk-utility                                                                
11)     gnome-settings-daemon                                                             
12)     gnome-sushi                                                                       
13)     gnome-user-share                                                                  
14)     gvfs                                                                              
15)     gvfs-backends                                                                     
16)     gvfs-daemons                                                                      
17)     gvfs-fuse                                                                         
18)     k3b                                                                               
19)     k3b-i18n                                                                          
20)     libpam-systemd                                                                    
21)     mate-applets                                                                      
22)     mate-desktop-environment                                                          
23)     mate-desktop-environment-core                                                     
24)     nautilus                                                                          
25)     nautilus-sendto                                                                   
26)     nemo                                                                              
27)     nemo-fileroller                                                                   
28)     network-manager-pptp                                                              
29)     ppp                                                                               
30)     pptp-linux                                                                        
31)     systemd-sysv                                                                      
32)     task-cinnamon-desktop                                                             
33)     task-mate-desktop                                                                 
34)     udisks2                                                                           
      Installer les paquets suivants :
35)     libgcrypt11 [1.5.0-5+deb7u2 (oldstable)]                                          
36)     libgnome-bluetooth10 [3.4.2-1 (oldstable)]                                        
37)     libgnutls26 [2.12.20-8+deb7u3 (oldstable)]                                        
38)     libtasn1-3 [2.13-2+deb7u1 (oldstable)]                                            
39)     sysvinit-core [2.88dsf-59 (stable, testing, unstable)]                            
      Réinstaller à une version antérieure les paquets suivants :                         
40)     libnm-gtk-common [0.9.10.0-2 (now, stable, testing) -> 0.9.4.1-5 (oldstable)]     
41)     libnm-gtk0 [0.9.10.0-2 (now, stable, testing) -> 0.9.4.1-5 (oldstable)]           
42)     network-manager [0.9.10.0-7 (now, stable, testing) -> 0.9.4.0-10 (oldstable)]     
43)     network-manager-gnome [0.9.10.0-2 (now, stable, testing) -> 0.9.4.1-5 (oldstable)]
Accepter cette solution ? [Y/n/q/?] n
Les actions suivantes permettront de résoudre ces dépendances :
      Supprimer les paquets suivants :
1)      brasero                                                                           
2)      caja                                                                              
3)      cinnamon                                                                          
4)      cinnamon-control-center                                                           
5)      cinnamon-core                                                                     
6)      cinnamon-desktop-environment                                                      
7)      gir1.2-nmgtk-1.0                                                                  
8)      gnome-bluetooth                                                                   
9)      gnome-control-center                                                              
10)     gnome-disk-utility                                                                
11)     gnome-settings-daemon                                                             
12)     gnome-sushi                                                                       
13)     gnome-user-share                                                                  
14)     gvfs                                                                              
15)     gvfs-backends                                                                     
16)     gvfs-daemons                                                                      
17)     gvfs-fuse                                                                         
18)     k3b                                                                               
19)     k3b-i18n                                                                          
20)     libpam-systemd                                                                    
21)     mate-applets                                                                      
22)     mate-desktop-environment                                                          
23)     mate-desktop-environment-core                                                     
24)     nautilus                                                                          
25)     nautilus-sendto                                                                   
26)     nemo                                                                              
27)     nemo-fileroller                                                                   
28)     network-manager-pptp                                                              
29)     systemd-sysv                                                                      
30)     task-cinnamon-desktop                                                             
31)     task-mate-desktop                                                                 
32)     udisks2                                                                           
      Installer les paquets suivants :
33)     libgcrypt11 [1.5.0-5+deb7u3 (oldstable)]                                          
34)     libgnome-bluetooth10 [3.4.2-1 (oldstable)]                                        
35)     libgnutls26 [2.12.20-8+deb7u3 (oldstable)]                                        
36)     libtasn1-3 [2.13-2+deb7u2 (oldstable)]                                            
37)     sysvinit-core [2.88dsf-59 (stable, testing, unstable)]                            
      Réinstaller à une version antérieure les paquets suivants :
38)     libnm-gtk-common [0.9.10.0-2 (now, stable, testing) -> 0.9.4.1-5 (oldstable)]     
39)     libnm-gtk0 [0.9.10.0-2 (now, stable, testing) -> 0.9.4.1-5 (oldstable)]           
40)     network-manager [0.9.10.0-7 (now, stable, testing) -> 0.9.4.0-10 (oldstable)]     
41)     network-manager-gnome [0.9.10.0-2 (now, stable, testing) -> 0.9.4.1-5 (oldstable)]
42)     ppp [2.4.6-3.1 (now, stable, testing, unstable) -> 2.4.5-5.1+deb7u1 (oldstable)]  
Accepter cette solution ? [Y/n/q/?] y
Les paquets suivants vont être RÉINSTALLÉS à une VERSION ANTÉRIEURE : 
  libnm-gtk-common libnm-gtk0 network-manager network-manager-gnome ppp 
Les NOUVEAUX paquets suivants vont être installés : 
  libgcrypt11{a} libgnome-bluetooth10{a} libgnutls26{a} libtasn1-3{a} sysvinit-core{a} 
Les paquets suivants seront ENLEVÉS : 
  brasero{a} caja{a} cinnamon{a} cinnamon-control-center{a} cinnamon-core{a} cinnamon-desktop-environment{a} gir1.2-nmgtk-1.0{a} gnome-bluetooth{a} gnome-control-center{a} 
  gnome-disk-utility{a} gnome-settings-daemon{a} gnome-sushi{a} gnome-user-share{a} gvfs{a} gvfs-backends{a} gvfs-daemons{a} gvfs-fuse{a} iputils-arping{pu} k3b{a} k3b-i18n{a} 
  libndp0{pu} libpam-systemd{a} libteamdctl0{pu} mate-applets{a} mate-desktop-environment{a} mate-desktop-environment-core{a} nautilus{a} nautilus-sendto{a} nemo{a} nemo-fileroller{a} 
  network-manager-pptp{a} systemd systemd-sysv{a} task-cinnamon-desktop{a} task-mate-desktop{a} udisks2{a} 
0 paquets mis à jour, 5 nouvellement installés, 5 remis à une version antérieure, 36 à enlever et 4 non mis à jour.
Il est nécessaire de télécharger 3 608 ko d'archives. Après dépaquetage, 76,3 Mo seront libérés.
Voulez-vous continuer ? [Y/n/?] y
[...]
dpkg: gvfs-daemons : problème de dépendance, mais suppression comme demandé :
 gvfs:amd64 dépend de gvfs-daemons (>= 1.22.2-1).
 gvfs:amd64 dépend de gvfs-daemons (<< 1.22.2-1.1~).
 gvfs:amd64 dépend de gvfs-daemons (>= 1.22.2-1).
 gvfs:amd64 dépend de gvfs-daemons (<< 1.22.2-1.1~).
Suppression de gvfs-daemons (1.22.2-1) ...
dpkg: gvfs:amd64 : problème de dépendance, mais suppression comme demandé :
 nemo dépend de gvfs (>= 1.3.2).
 mate-applets dépend de gvfs.
Suppression de gvfs:amd64 (1.22.2-1) ...
Traitement des actions différées (« trigger
[...]
dpkg: systemd-sysv : problème de dépendance, mais suppression comme demandé :
 init dépend de systemd-sysv | sysvinit-core | upstart ; cependant :
  Le paquet systemd-sysv doit être supprimé.
  Le paquet sysvinit-core n'est pas installé.
  Le paquet upstart n'est pas installé.
Suppression de systemd-sysv (215-17) ...
[...]
(Lecture de la base de données... 229671 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../sysvinit-core_2.88dsf-59_amd64.deb ...
Dépaquetage de sysvinit-core (2.88dsf-59) ...
Traitement des actions différées (« triggers ») pour man-db (2.7.0.2-5) ...
Paramétrage de sysvinit-core (2.88dsf-59) ...
Not restarting sysvinit
(Lecture de la base de données... 229696 fichiers et répertoires déjà installés.)
Suppression de systemd (215-17) ...
systemd is the active init system, please switch to another before removing systemd.
dpkg: erreur de traitement du paquet systemd (--remove) :
 le sous-processus script pre-removal installé a retourné une erreur de sortie d'état 1
Failed to stop lib-init-rw.mount: Unit lib-init-rw.mount not loaded.
Des erreurs ont été rencontrées pendant l'exécution :
 systemd
E: Sub-process /usr/bin/dpkg returned an error code (1)
Failed to perform requested operation on package.  Trying to recover:
Paramétrage de libtasn1-3:amd64 (2.13-2+deb7u2) ...
Paramétrage de ppp (2.4.5-5.1+deb7u1) ...
Installation de la nouvelle version du fichier de configuration /etc/init.d/pppd-dns ...
[...]
Traitement des actions différées (« triggers ») pour libc-bin (2.19-18) ...
Traitement des actions différées (« triggers ») pour systemd (215-17) ...
Traitement des actions différées (« triggers ») pour dbus (1.8.16-1) ...
[21:06:15] ~ #

Code : Tout sélectionner

[23:02:17] ~ # aptitude remove --purge systemd
Les paquets suivants seront ENLEVÉS :                   
  systemd 
0 paquets mis à jour, 0 nouvellement installés, 1 à enlever et 9 non mis à jour.
Il est nécessaire de télécharger 0 o d'archives. Après dépaquetage, 13,8 Mo seront libérés.
(Lecture de la base de données... 229696 fichiers et répertoires déjà installés.)
Suppression de systemd (215-17) ...
systemd is the active init system, please switch to another before removing systemd.
dpkg: erreur de traitement du paquet systemd (--remove) :
 le sous-processus script pre-removal installé a retourné une erreur de sortie d'état 1
Failed to stop lib-init-rw.mount: Unit lib-init-rw.mount not loaded.
Des erreurs ont été rencontrées pendant l'exécution :
 systemd
E: Sub-process /usr/bin/dpkg returned an error code (1)
Failed to perform requested operation on package.  Trying to recover:
[23:02:41] ~ #

Code : Tout sélectionner

[23:04:58] ~ # systemctl stop lib-init-rw.mount
Failed to stop lib-init-rw.mount: Unit lib-init-rw.mount not loaded.
[23:05:00] ~ # 

Code : Tout sélectionner

[23:05:11] ~ # systemctl status lib-init-rw.mount
● lib-init-rw.mount
   Loaded: not-found (Reason: No such file or directory)
   Active: inactive (dead)
[23:05:18] ~ #
Un hôte tiers et un chroot sont venus à bout de systemd.

Code : Tout sélectionner

[08:37:39] ~ # mount -t ext4 /dev/sdb7 /mnt/

Code : Tout sélectionner

[08:39:21] ~ #  mount -B /dev /mnt/dev && mount -B /dev/shm /mnt/dev/shm && mount -B /dev/pts /mnt/dev/pts && mount -B /sys /mnt/sys && mount -B /run /mnt/run && mount -t proc /proc /mnt/proc && chroot /mnt/

Code : Tout sélectionner

[08:41:09] ~ # aptitude remove --purge systemd
Les paquets suivants seront ENLEVÉS :                   
  systemd 
0 paquets mis à jour, 0 nouvellement installés, 1 à enlever et 9 non mis à jour.
Il est nécessaire de télécharger 0 o d'archives. Après dépaquetage, 13,8 Mo seront libérés.
(Lecture de la base de données... 229773 fichiers et répertoires déjà installés.)
Suppression de systemd (215-17) ...
Traitement des actions différées (« triggers ») pour man-db (2.7.0.2-5) ...
Traitement des actions différées (« triggers ») pour dbus (1.8.16-1) ...
Erreur : GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.PackageKit was not provided by any .service files
^CComplété
[09:09:39] ~ #
Je n'ai pas eu la patience et me suis donné les grands moyens.

Code : Tout sélectionner

[09:37:17]  ~ # dpkg --purge --force-remove-reinstreq systemd
3) pinning

Code : Tout sélectionner

[16:58:24] ~ # cat /etc/apt/preferences.d/policykit-1.pref
Package: policykit-1
Pin: release v=7.8,o=Debian,a=oldstable,n=wheezy,l=Debian
Pin-Priority: 990
[16:58:28] ~ #

Code : Tout sélectionner

[16:54:21] ~ # cat /etc/apt/preferences.d/post_remove_systemd.pref
Package: gvfs
Pin: release v=7.8,o=Debian,a=oldstable,n=wheezy,l=Debian
Pin-Priority: 990
Package: gvfs-bin
Pin: release v=7.8,o=Debian,a=oldstable,n=wheezy,l=Debian
Pin-Priority: 990
Package: gvfs-common
Pin: release v=7.8,o=Debian,a=oldstable,n=wheezy,l=Debian
Pin-Priority: 990
Package: gvfs-libs
Pin: release v=7.8,o=Debian,a=oldstable,n=wheezy,l=Debian
Pin-Priority: 990
Package: gvfs-daemons
Pin: release v=7.8,o=Debian,a=oldstable,n=wheezy,l=Debian
Pin-Priority: 990
Package: network-manager-pptp
Pin: release v=7.8,o=Debian,a=oldstable,n=wheezy,l=Debian
Pin-Priority: 990
Package: gvfs-backends
Pin: release v=7.8,o=Debian,a=oldstable,n=wheezy,l=Debian
Pin-Priority: 990
Package: k3b
Pin: release v=7.8,o=Debian,a=oldstable,n=wheezy,l=Debian
Pin-Priority: 990
Package: libk3b6
Pin: release v=7.8,o=Debian,a=oldstable,n=wheezy,l=Debian
Pin-Priority: 990
Package: k3b-data
Pin: release v=7.8,o=Debian,a=oldstable,n=wheezy,l=Debian
Pin-Priority: 990
Package: k3b-i18n
Pin: release v=7.8,o=Debian,a=oldstable,n=wheezy,l=Debian
Pin-Priority: 990
[16:54:32] ~ #
4) la bonne cause.

Code : Tout sélectionner

[10:29:53] ~ # aptitude install update-notifier-kde iputils-arping network-manager-pptp=0.9.4.0-2
Les NOUVEAUX paquets suivants vont être installés :
  iputils-arping network-manager-pptp update-notifier-common{a} update-notifier-kde
0 paquets mis à jour, 4 nouvellement installés, 0 à enlever et 1 non mis à jour.
Il est nécessaire de télécharger 243 ko d'archives. Après dépaquetage, 1 074 ko seront utilisés.
Voulez-vous continuer ? [Y/n/?] y

Code : Tout sélectionner

[10:51:37] ~ # aptitude install network-manager-pptp=0.9.4.0-2

Code : Tout sélectionner

[11:50:25] ~ # aptitude install task-mate-desktop mate-applets
Les NOUVEAUX paquets suivants vont être installés :
  caja{a} mate-applets mate-desktop-environment{a} mate-desktop-environment-core{a} task-mate-desktop
0 paquets mis à jour, 5 nouvellement installés, 0 à enlever et 1 non mis à jour.
Il est nécessaire de télécharger 1 504 ko d'archives. Après dépaquetage, 5 479 ko seront utilisés.
Voulez-vous continuer ? [Y/n/?] y

Code : Tout sélectionner

[11:15:19] ~ # aptitude install cgmanager=0.36-2

Code : Tout sélectionner

[10:59:40] ~ # aptitude install gvfs-backends=1.12.3-4

Code : Tout sélectionner

[12:18:41] ~ # aptitude install k3b=2.0.2-6 libk3b6=2.0.2-6 k3b-data=2.0.2-6

Code : Tout sélectionner

[12:20:18] ~ # aptitude install k3b-i18n=2.0.2-6
Après un reboot du bouzin. RAS. :020:

Code : Tout sélectionner

[18:24:38] ~ # version
Linux pc-2-loreleil-2 3.16.0-4-amd64 #1 SMP Debian 3.16.7-ckt9-3~deb8u1 (2015-04-24) x86_64 GNU/Linux
Distributor ID: Debian
Description:    Debian GNU/Linux 8.0 (jessie)
Release:        8.0
Codename:       jessie
[18:24:43] ~ #

Code : Tout sélectionner

[18:24:43] ~ # dpkg -l |grep systemd
ii  libsystemd0:amd64          215-17          amd64        systemd utility library
ii  systemd-shim               9-1             amd64        shim for systemd
[18:24:54] ~ #

Code : Tout sélectionner

[18:24:55] ~ # dpkg -l |grep sysvinit
ii  sysvinit              2.88dsf-59     amd64        System-V-like init utilities - transitional package
ii  sysvinit-core         2.88dsf-59     amd64        System-V-like init utilities
ii  sysvinit-utils        2.88dsf-59     amd64        System-V-like utilities
[18:25:01] ~ #

Code : Tout sélectionner

[18:25:02] ~ # apt-show-versions -R | grep systemd
dh-systemd:all not installed
golang-go-systemd-dev:all not installed
libghc-libsystemd-journal-dev:amd64 not installed
libghc-libsystemd-journal-doc:all not installed
libghc-libsystemd-journal-prof:amd64 not installed
libpam-systemd:amd64 not installed
libsystemd-daemon-dev:amd64 not installed
libsystemd-daemon0:amd64 not installed
libsystemd-dev:amd64 not installed
libsystemd-id128-0:amd64 not installed
libsystemd-id128-dev:amd64 not installed
libsystemd-journal-dev:amd64 not installed
libsystemd-journal0:amd64 not installed
libsystemd-login-dev:amd64 not installed
libsystemd-login0:amd64 not installed
libsystemd0:amd64/jessie 215-17 uptodate
live-config-systemd:all not installed
python-systemd:amd64 not installed
python3-systemd:amd64 not installed
systemd:amd64 not installed
systemd-cron:all not installed
systemd-dbg:amd64 not installed
systemd-gui:all not installed
systemd-gui:amd64 not installed
systemd-shim:amd64/jessie 9-1 uptodate
systemd-sysv:amd64 not installed
systemd-ui:amd64 not installed
[18:25:42] ~ #

Code : Tout sélectionner

[18:25:43] ~ # apt-show-versions -R | grep sysvinit
git-daemon-sysvinit:all not installed
live-config-sysvinit:all not installed
sysvinit:amd64/jessie 2.88dsf-59 uptodate
sysvinit-core:amd64/jessie 2.88dsf-59 uptodate
sysvinit-utils:amd64/jessie 2.88dsf-59 uptodate
[18:25:58] ~ #
:dirol: :banana_ninja:
La première loi du libre et de tout hacker, au sens noble, le partage de la connaissance !
Site de réinformation ... http://www.panamza.com
Avatar du membre
PengouinPdt
Contributeur
Contributeur
Messages : 1340
Enregistré le : 23 avr. 2016, 23:37
Localisation : 47/FR
Diaspora* : https://framasphere.org/u/hucste
Contact :
Status : Hors ligne

15 mai 2016, 14:12

Au moins, tu t'es fait plaisir ...
Merci pour le tuto ... même si personnellement, je ne comprends ni la gueguerre à systemd, ni l'intérêt de le virer ;)
PengouinPdt { le seul, le vrai } ~ " Libre as a Pengouin "
- DIY - Debian Sid | Devuan Ceres
----
Ne réponds pas aux PM d'assistance
Répondre